Subject: Re: bug#9693: gnus-summary-read-group: undocumented parameters... and more!

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 07 Jan 2012 02:14:10 +0100

Dave Abrahams <[email-masked]> writes:

> (defun gnus-summary-read-group (group &optional show-all no-article
> 				      kill-buffer no-display backward
> 				      select-articles)
>   "Start reading news in newsgroup GROUP.
> If SHOW-ALL is non-nil, already read articles are also listed.
> If NO-ARTICLE is non-nil, no article is selected initially.
> If NO-DISPLAY, don't generate a summary buffer."
> Needs a description for KILL-BUFFER, BACKWARD, and SELECT-ARTICLES.

I've now added those.

> gnus-summary-read-group-1 should at least make reference to
> gnus-summary-read-group in its docstring, for the meaning of its
> variables, and the difference in its semantics should be documented.

The -1 function is even more internal that the other function, so I
don't really think there's a need.

> Also it would be very good to be more explicit about what it means to
> "start reading news in" a group without generating a summary buffer.

I've clarified the NO-DISPLAY parameter.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/